Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.complex
Class AbstractComplexSequenceType

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.types.AbstractSequenceType
            |
            +--uk.ac.man.bioinf.sequence.complex.AbstractComplexSequenceType

All Implemented Interfaces:
  ComplexSequenceType, SequenceType

public abstract class AbstractComplexSequenceType
extends AbstractSequenceType
implements ComplexSequenceType

AbstractComplexSequenceType.java Created: Tue Feb 29 22:10:30 2000

Version:
  $Id: AbstractComplexSequenceType.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Field Summary

Fields inherited from class uk.ac.man.bioinf.sequence.types.AbstractSequenceType
`elements`

Constructor Summary
`AbstractComplexSequenceType(Residue[] residues, Modification[] modifications, String name)`
`AbstractComplexSequenceType(Residue[] residues, Modification modification, String name)`

Method Summary
`Modification[]` | `getModifications()` Gets all of the Modifications which are allowable in this sequence type.
`boolean` | `isAllowableElement(ComplexElement elem)` Is this given element allowable in this sequence type.
`boolean` | `isModification(Modification mod)` Is this modification one which is allowable in this sequence type.
`boolean` | `isModification(Modification[] mod)` Are these modifications allowable in this sequence type.

Methods inherited from class uk.ac.man.bioinf.sequence.types.AbstractSequenceType
`getElements, getName, isElement, isElement, isElement, isElement, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.SequenceType
`getElementForInt, getElements, getIntForElement, getName, isElement, isElement, isElement, isElement, size`

Constructor Detail

### AbstractComplexSequenceType

    public AbstractComplexSequenceType(Residue[] residues,
                                       Modification modification,
                                       String name)

### AbstractComplexSequenceType

    public AbstractComplexSequenceType(Residue[] residues,
                                       Modification[] modifications,
                                       String name)

Method Detail

### getModifications

    public Modification[] getModifications()

  Description copied from interface: `ComplexSequenceType`
  Gets all of the Modifications which are allowable in this sequence type. This should be immutable for a given instance of this.

  Specified by:
    `getModifications` in interface `ComplexSequenceType`
  Returns:
    the modifications

### isModification

    public boolean isModification(Modification mod)

  Description copied from interface: `ComplexSequenceType`
  Is this modification one which is allowable in this sequence type. This should be immutable for a given instance of this.

  Specified by:
    `isModification` in interface `ComplexSequenceType`
  Parameters:
    `mod` - the modification
  Returns:
    true if the modification is allowable

### isModification

    public boolean isModification(Modification[] mod)

  Description copied from interface: `ComplexSequenceType`
  Are these modifications allowable in this sequence type. This should be immutable.

  Specified by:
    `isModification` in interface `ComplexSequenceType`
  Parameters:
    `mod` - the modifications
  Returns:
    true if all the modifications are allowable

### isAllowableElement

    public boolean isAllowableElement(ComplexElement elem)

  Description copied from interface: `ComplexSequenceType`
  Is this given element allowable in this sequence type. A trivial implementation of this would simply check if the ComplexElement Residue is allowable, and all of the Modifications for this ComplexElement are allowable. However there are other possibilties if for instance not all Residues in a given sequence type are Modifiable by all the allowable modifications

  Specified by:
    `isAllowableElement` in interface `ComplexSequenceType`
  Parameters:
    `elem` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD